### Method

# ECal ReminderData copy

since: 3.30

#### Declaration [src]

    EReminderData*
    e_reminder_data_copy (
      const EReminderData* rd
    )

#### Description [src]

Copies given `EReminderData` structure. When the `rd` is `NULL`, simply returns `NULL` as well.

Available since: 3.30

#### Parameters

`rd`

  Type: `EReminderData`

  Source `EReminderData`, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `EReminderData`

Copy of `rd`. Free the returned structure with `e_reminder_data_free()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.